%M-file to Draw Chesapeake Bay Map using 'ec80_03.bna'
%
tic
figure
scrnsize=get(0,'screensize')
set(gcf,'position',[0.1*scrnsize(3) 0.1*scrnsize(4) 0.55*scrnsize(3) 0.8*scrnsize(4)])
fid = fopen('ec80_03.bna');
fseek(fid, 0, 1)
endfile = ftell(fid);
fseek(fid, 0, -1);
n=0;
while ftell(fid) < endfile-1			
   n=n+1;
   id = fscanf(fid, '"%d","%d",%d', [3]);
   dat = fscanf(fid, '%g,%g', [2 -id(3)]);
   plot(dat(1,:), dat(2,:), 'b');
   hold on
   fgetl(fid);
   if n == 1
      plotdat1=dat(1,:);
      plotdat2=dat(2,:);
   else
      plotdat1=[plotdat1 dat(1,:)];
      plotdat2=[plotdat2 dat(2,:)];
   end
end
fclose(fid)
set(gca, 'Units', 'normal');
set(gca, 'Position', [0.2 0.2 0.5 0.7]);
set(gca, 'Xlim', [-77.5 -75.5]);
set(gca, 'Ylim', [37 39.75]);
toc